org.apache.flume.api

## Class SecureThriftRpcClient

- java.lang.Object
- - org.apache.flume.api.AbstractRpcClient
  - - org.apache.flume.api.ThriftRpcClient
    - - org.apache.flume.api.SecureThriftRpcClient

- All Implemented Interfaces:
    RpcClient

      public class SecureThriftRpcClient
      extends ThriftRpcClient

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecureThriftRpcClient.UgiSaslClientTransport` This transport wraps the Sasl transports to set up the right UGI context for open().

  - ### Field Summary

    - ### Fields inherited from class org.apache.flume.api.ThriftRpcClient

      `BINARY_PROTOCOL, COMPACT_PROTOCOL, CONFIG_PROTOCOL`

    - ### Fields inherited from class org.apache.flume.api.AbstractRpcClient

      `connectTimeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecureThriftRpcClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configure(Properties properties)` Configure the client using the given properties object.
    `protected org.apache.thrift.transport.TTransport` | `getTransport(org.apache.thrift.transport.TSocket tsocket)`

    - ### Methods inherited from class org.apache.flume.api.ThriftRpcClient

      `append, appendBatch, close, getBatchSize, isActive`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecureThriftRpcClient

          public SecureThriftRpcClient()

  - ### Method Detail

    - #### configure

          protected void configure(Properties properties)
                            throws FlumeException

      Description copied from class: `AbstractRpcClient`
      Configure the client using the given properties object.
      Overrides:
        `configure` in class `ThriftRpcClient`
      Throws:
        `FlumeException` - if the client can not be configured using this method, or if the client was already configured once.

    - #### getTransport

          protected org.apache.thrift.transport.TTransport getTransport(org.apache.thrift.transport.TSocket tsocket)
                                                                 throws Exception

      Overrides:
        `getTransport` in class `ThriftRpcClient`
      Throws:
        `Exception`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.